aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: [1] 2 3 ... 13

Author Topic: CVS Debian Packages are available  (Read 291809 times)

Vollstrecker

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1471
  • Unofficial Debian Packager
    • http://vollstreckernet.de
CVS Debian Packages are available
« on: April 12, 2005, 12:18:55 PM »

Hi,
After a long period of testing I can now say that the deb Packages of the CVS Snapshots are now available. And get updated every morning between 8am and 1pm.

This is for Debian testing / unstable only! Users of Debian stable: THIS DOESN'T WORK FOR YOU!

If you want to just use the packages, put this line to your sources.list:

Code: [Select]
deb [URL]http://www.vollstreckernet.de/debian/[/URL]  testing amule wxIf you want to compile the snaps for your own, you have two options.

You can get the fixed wx packages by adding

Code: [Select]
deb [URL]http://www.vollstreckernet.de/debian/[/URL] testing wx to your sources.list and get and compile aMule for your own. Or can can add a second line to get the pkg's source and create your own debs. For the last option you need the wx line above plus:

Code: [Select]
deb-src [URL]http://www.vollstreckernet.de/debian/[/URL] testing amuleAll pkg's should work on sid, too. My provider doesn't allow me to create symlinks, so I only setup the testing dir.

Special thanks go to:

Jacobo for his auto upload scripts.

Holo, Jacobo, pe7er and freisprech for testing the pkg's.

If you experience problems with the rep or the pkg's itself, please report them to amule@vollstreckernet.de
Logged
Homefucking is killing prostitution

goose

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
RE: Debian Packages are aviable
« Reply #1 on: April 12, 2005, 12:38:55 PM »

Hi,

Drum roll ....

I must have to say that i really appreciate all of your work guys ! It's really amazing to have a updated amule debian package every morning :-)

Keep on rocking !

Sebastian
Logged

goose

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
RE: Debian Packages are aviable
« Reply #2 on: April 12, 2005, 01:22:25 PM »

Hi,

Just want to inform you that the new CVS Debian Package from today is running well on my SID since installation, which was about 1 hour ago :-)

Sebastian
« Last Edit: April 12, 2005, 01:33:15 PM by goose »
Logged

goose

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
RE: Debian Packages are aviable
« Reply #3 on: April 12, 2005, 01:38:56 PM »

Hi,

Are there some plans to include amuled in the debian package ?

Greetings

Sebastian
Logged

Vollstrecker

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1471
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: CVS Debian Packages are available
« Reply #4 on: April 12, 2005, 02:06:20 PM »

By now we have:

amule
amulewebdlg
amule-cas
amule-wxcas
amule-common
amule-xas
amuled
amule-remote-gui
amule-utils
amuleweb

The amule-utils will get split next.
In the amule-common pkg are the webserver files.
Logged
Homefucking is killing prostitution

aldebaran

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 42
Well Done!!
« Reply #5 on: April 14, 2005, 07:25:55 PM »

Great aMule Team!!
I was trying to compile CVS version under Debian but with no success.
I long awaited these daily .deb snapshots, and since I'm having no problems with them I'm very enthusiastic.
Thanks a lot for your efforts!!
Logged

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2758
Re: CVS Debian Packages are available
« Reply #6 on: April 14, 2005, 10:08:58 PM »

great job vollstrecker ;)
Logged

RRT4

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 68
Re: CVS Debian Packages are available
« Reply #7 on: April 14, 2005, 11:03:20 PM »

is it possible to gain compatibility with kubuntu/ubuntu hoary?

'apt-get install amule' gives:

Dipende: libcurl3 (>= 7.13.1-1) ma 7.12.3-2ubuntu3 sta per essere installato
Dipende: libidn11 (>= 0.5.13) ma 0.5.2-3 sta per essere installato
E: Pacchetto non integro

so something  as:
Depends: libcurl3 (>= 7.13.1-1) but 7.12.3-2ubuntu3 is going to be installed
Depends: libidn11 (>= 0.5.13) but 0.5.2-3 is going to be installed
E: Broken package

however there are not issues compiling cvs version on ubuntu, but apt-getting it would be just faster
Logged

Vollstrecker

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1471
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: CVS Debian Packages are available
« Reply #8 on: April 14, 2005, 11:24:24 PM »

I talked about that problem two weeks ago in #ubuntu-motu. The prob is, that dep's are set automatically, so I have no influence on that. Sadly libcurl3 got updated after the ubuntu freeze, so that ubuntu stayed at the old version. I think they said, the release is planned for the 7th, so maybe you'll get the new version in a few days.
The only thing you can do for now is using deb-src. The Build-Depend is set to libcurl3-dev without any version.
Logged
Homefucking is killing prostitution

RRT4

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 68
Re: CVS Debian Packages are available
« Reply #9 on: April 14, 2005, 11:42:55 PM »

tnx for the quick response, as i said, i have not trouble to compile cvs version (with all the related tools) from the daily .tar.bz2 and to create the .deb package with checkinstall, it takes not more than 15/20 minutes on athlon 2200mhz
however, tnx again, i'll wait for the incoming update
Logged

Anne Onyme

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 56
Re: CVS Debian Packages are available
« Reply #10 on: April 15, 2005, 08:39:57 PM »

hi,

Many thanks ! It's great to have binaries of fresh CVS !

I have also made my own package using checkinstall but against the stable version of wx. But it seems there is a problem wich have been solved with gives better connectivity with other client (related to the slow download on OS X). And i have now a very polished mule using GTK 2 !

 :D  :baby:

Thanks again, bye bye

PS : CPU consumsion is very low. Wonderfull, keep it this way !
Logged
Chaque découverte, chaque progrès, chaque augmentation de la richesse de l'humanité a son origine dans l'ensemble du travail manuel et cérébral du passé et du présent.

rwabel

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 14
Re: CVS Debian Packages are available
« Reply #11 on: April 20, 2005, 05:22:43 PM »

thanks a lot for the fresh amule deb's. That's really great.
Sorry, but I didn't understand it completely about the amuled and amuleweb stuff.
Is it possible with these deb files to turn on the webserver to be able to use amule remotely?
Logged

Vollstrecker

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1471
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: CVS Debian Packages are available
« Reply #12 on: April 20, 2005, 06:32:32 PM »

If you have a running amule or amuled, you can use remote gui for accessing them from another PC, or you can start amuleweb or amulewebdlg and use amule with your webbrowser.
Logged
Homefucking is killing prostitution

rwabel

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 14
Re: CVS Debian Packages are available
« Reply #13 on: April 20, 2005, 08:39:49 PM »

wow, so cool!

thanks a lot, no more selfcompiling and tinkering
Logged

RRT4

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 68
Re: CVS Debian Packages are available
« Reply #14 on: April 21, 2005, 08:22:41 PM »

Quote
Originally posted by Vollstrecker
I talked about that problem two weeks ago in #ubuntu-motu. The prob is, that dep's are set automatically, so I have no influence on that. Sadly libcurl3 got updated after the ubuntu freeze, so that ubuntu stayed at the old version. I think they said, the release is planned for the 7th, so maybe you'll get the new version in a few days.
The only thing you can do for now is using deb-src. The Build-Depend is set to libcurl3-dev without any version.

i updated to kubuntu 'breezy' (development version)
your packages install and work well
Logged
Pages: [1] 2 3 ... 13